Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory
Class AbstractContentDirectoryService

    java.lang.Object
      org.teleal.cling.support.contentdirectory.AbstractContentDirectoryService

    public abstract class AbstractContentDirectoryService

extends java.lang.Object

Simple ContentDirectory service skeleton.

Only state variables and actions required by ContentDirectory:1 (not the optional ones) are implemented.

Author:
  Alessio Gaeta, Christian Bauer

Field Summary
`static java.lang.String` | `CAPS_WILDCARD`
`protected java.beans.PropertyChangeSupport` | `propertyChangeSupport`

Constructor Summary
`protected` | `AbstractContentDirectoryService()`
`protected` | `AbstractContentDirectoryService(java.util.List<java.lang.String> searchCapabilities, java.util.List<java.lang.String> sortCapabilities)`
`protected` | `AbstractContentDirectoryService(java.util.List<java.lang.String> searchCapabilities, java.util.List<java.lang.String> sortCapabilities, java.beans.PropertyChangeSupport propertyChangeSupport)`

Method Summary
`abstract BrowseResult` | `browse(java.lang.String objectID, BrowseFlag browseFlag, java.lang.String filter, long firstResult, long maxResults, SortCriterion[] orderby)`
`BrowseResult` | `browse(java.lang.String objectId, java.lang.String browseFlag, java.lang.String filter, org.teleal.cling.model.types.UnsignedIntegerFourBytes firstResult, org.teleal.cling.model.types.UnsignedIntegerFourBytes maxResults, java.lang.String orderBy)`
`protected void` | `changeSystemUpdateID()` Call this method after making changes to your content directory.
`java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()`
`org.teleal.cling.model.types.csv.CSV<java.lang.String>` | `getSearchCapabilities()`
`org.teleal.cling.model.types.csv.CSV<java.lang.String>` | `getSortCapabilities()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getSystemUpdateID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAPS_WILDCARD

    public static final java.lang.String CAPS_WILDCARD

See Also:
  Constant Field Values

### propertyChangeSupport

    protected final java.beans.PropertyChangeSupport propertyChangeSupport

Constructor Detail

### AbstractContentDirectoryService

    protected AbstractContentDirectoryService()

### AbstractContentDirectoryService

    protected AbstractContentDirectoryService(java.util.List<java.lang.String> searchCapabilities,
                                              java.util.List<java.lang.String> sortCapabilities)

### AbstractContentDirectoryService

    protected AbstractContentDirectoryService(java.util.List<java.lang.String> searchCapabilities,
                                              java.util.List<java.lang.String> sortCapabilities,
                                              java.beans.PropertyChangeSupport propertyChangeSupport)

Method Detail

### getSearchCapabilities

    public org.teleal.cling.model.types.csv.CSV<java.lang.String> getSearchCapabilities()

### getSortCapabilities

    public org.teleal.cling.model.types.csv.CSV<java.lang.String> getSortCapabilities()

### getSystemUpdateID

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getSystemUpdateID()

### getPropertyChangeSupport

    public java.beans.PropertyChangeSupport getPropertyChangeSupport()

### changeSystemUpdateID

    protected void changeSystemUpdateID()

  Call this method after making changes to your content directory.

  This will notify clients that their view of the content directory is potentially outdated and has to be refreshed.

### browse

    public BrowseResult browse(java.lang.String objectId,
                               java.lang.String browseFlag,
                               java.lang.String filter,
                               org.teleal.cling.model.types.UnsignedIntegerFourBytes firstResult,
                               org.teleal.cling.model.types.UnsignedIntegerFourBytes maxResults,
                               java.lang.String orderBy)
                        throws ContentDirectoryException

  Throws:
    `ContentDirectoryException`

### browse

    public abstract BrowseResult browse(java.lang.String objectID,
                                        BrowseFlag browseFlag,
                                        java.lang.String filter,
                                        long firstResult,
                                        long maxResults,
                                        SortCriterion[] orderby)
                                 throws ContentDirectoryException

  Throws:
    `ContentDirectoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.